Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Charge

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Charge

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class Charge extends AbstractBalanceBean implements Serializable, Cloneable
Расход договора.

Для получения типа(ChargeType) использовать справочник типов, там содержится(покрайней мери пока) название и значение редактируемости.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Charge.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Charge()`
  `Charge(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Charge.Builder`
  `builder()`
  `Charge`
  `clone()`
  `boolean`
  `isPayback()`
  `void`
  `setPayback(boolean payback)`
  Установка, является ли данный расход возвратом.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractBalanceBean

  `getComment, getContractId, getDate, getSum, getTimeChange, getTypeId, getUserId, setComment, setContractId, setDate, setSum, setTimeChange, setTypeId, setUserId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Charge

    public Charge()

  - ### Charge

    public Charge(int id, int userId, int contractId, int typeId, Date date, String comment, BigDecimal sum, Date timeChange)

- ## Method Details

  - ### clone

    public Charge clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractBalanceBean`

  - ### isPayback

    public boolean isPayback()
    Returns:
      если данный расход является возвратом = true;

  - ### setPayback

    public void setPayback(boolean payback)
    Установка, является ли данный расход возвратом.
    Parameters:
      `payback` - - true если возврат

  - ### builder

    public static Charge.Builder builder()